Package org.apache.aries.jax.rs.whiteboard.internal

## Class FilteredPublisher<T>

- java.lang.Object
- - org.apache.aries.jax.rs.whiteboard.internal.FilteredPublisher<T>

All Implemented Interfaces:
  `AutoCloseable`

    public class FilteredPublisher<T>
    extends Object
    implements AutoCloseable

### Constructor Summary

Constructors
`FilteredPublisher​(org.apache.aries.component.dsl.Publisher<? super T> publisher, org.osgi.framework.Filter filter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `publishIfMatched​(T t, Map<String,​?> properties)`
`void` `retract​(T t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilteredPublisher

    public FilteredPublisher​(org.apache.aries.component.dsl.Publisher<? super T> publisher,
                             org.osgi.framework.Filter filter)

### Method Detail

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`

#### publishIfMatched

    public void publishIfMatched​(T t,
                                 Map<String,​?> properties)

#### retract

    public void retract​(T t)